package org.processmining.plugins.DeclareConformance;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import org.processmining.framework.util.ui.widgets.ProMSplitPane;
import org.processmining.plugins.DataConformance.Alignment;
import org.processmining.plugins.declareminer.visualizing.DeclareMap;



public class DetailListener implements ActionListener {
	private ProMSplitPane split;
	private Alignment align;
	private DeclareMap declareModel;

	public DetailListener(ProMSplitPane splitPanel, Alignment align, DeclareMap declareModel) {
		this.split=splitPanel;
		this.align=align;
		this.declareModel=declareModel;
	}
	
	public void showIt()
	{
		split.setBottomComponent(new AlignmentPanel(align,declareModel));
		split.repaint();
		split.validate();
		split.invalidate();	
	}
	
	public void actionPerformed(ActionEvent arg0) {
		showIt();
	}

}
