package org.processmining.plugins.DeclareConformance;

import org.processmining.plugins.DataConformance.framework.ReplayableActivity;

public class ReplayableActivityDefinition implements ReplayableActivity, Comparable<ReplayableActivityDefinition>
{
	private String activity;

	public ReplayableActivityDefinition(String act) {
		activity=act;
	}
	
	public String getLabel() {
		return activity;
	}
	
	public String toString() {
		return activity;
	}

	public int compareTo(ReplayableActivityDefinition o) {
		return this.activity.compareTo(o.activity);
	}
}
