package org.processmining.plugins.DeclareMapWithData.dialogs;

import java.awt.Component;
import java.util.Collection;

import javax.swing.AbstractCellEditor;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;

import org.processmining.models.graphbased.directed.petrinetwithdata.newImpl.DataElement;

import csplugins.id.mapping.ui.CheckComboBox;

public class AddVariablesCellEditor extends AbstractCellEditor implements TableCellEditor 
{
	private CheckComboBox widget;
	
	public AddVariablesCellEditor(Collection<DataElement> dataElements)
	{
		widget=new CheckComboBox(dataElements);
	}

	public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {
		widget.clearSelection();
		widget.addSelectedItems((Collection) value);
		return widget;
	}

	public Object getCellEditorValue() {
		return widget.getSelectedItems();
	}
}
