package org.processmining.plugins.DeclareConformance;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "Declare Miner Visualization", returnLabels = { "Visualization of Declare Models" }, returnTypes = { JComponent.class }, parameterLabels = { "DeclareMinerFrame" }, userAccessible = true)
@Visualizer
public class DeclareDiagnoserVisualization {
	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize(final PluginContext context, final DeclareCheckerViz model) {
		final JComponent frame = new SlickerOpenDeclareModel().showLogVis(model);
		return frame;
	}
}
