package org.processmining.plugins.DeclareConformance;

import java.util.Collection;
import java.util.Collections;
import java.util.Map;

import org.deckfour.xes.classification.XEventClass;
import org.deckfour.xes.classification.XEventNameClassifier;
import org.deckfour.xes.model.XLog;
import org.processmining.plugins.DataConformance.ResultReplay;
import org.processmining.plugins.DataConformance.framework.ActivityMatchCosts;
import org.processmining.plugins.DataConformance.framework.ReplayState;
import org.processmining.plugins.DataConformance.framework.ReplayableActivity;
import org.processmining.plugins.DataConformance.framework.VariableMatchCosts;
import org.processmining.plugins.declareminer.visualizing.DeclareMap;

public class ResultReplayDeclare extends ResultReplay {

 private DeclareMap model;

 public ResultReplayDeclare(Map<? extends ReplayableActivity, XEventClass> activityMapping,
   Collection<ReplayState> list, ActivityMatchCosts<XEventClass> activityCost, VariableMatchCosts variableCost,
   DeclareMap model, XLog log) {
  super(list, activityCost, variableCost, Collections.<String, String>emptyMap(), log, new XEventNameClassifier());
  this.model=model;
 }

 public DeclareMap getDeclareModel() {
  return model;
 }

}
