package org.processmining.plugins.DeclareDataAwareComplianceChecker.parameters;

import java.util.ArrayList;
import java.util.HashMap;

import org.deckfour.xes.model.XLog;
import org.processmining.plugins.DeclareMapWithData.models.DataDeclareMap;
import org.processmining.plugins.declareminer.visualizing.ConstraintDefinition;

public class ComplianceCheckerOutput extends DataDeclareMap{
	
	final HashMap<ConstraintDefinition, ArrayList<String>> failedTracesMap;
	final XLog usedLog;
	
	public ComplianceCheckerOutput(DataDeclareMap dmap, HashMap<ConstraintDefinition, ArrayList<String>> map, XLog log){
		super(dmap.getModel(), dmap.getView(),dmap.getBroker(), dmap.getModelCh(), dmap.getViewCh(),dmap.getBrokerCh());
		this.setCDarray(dmap.getCDarray());
		this.setCDNamearray(dmap.getCDNamearray());
		this.setGuards(dmap.getGuards());
		this.setVariables(dmap.getVariables());
		usedLog = log;
		failedTracesMap = map;
	}
	
//	public void setFailedTracesMap(HashMap<ConstraintDefinition, ArrayList<String>> map){
//		failedTracesMap = map;
//	}
	
	public HashMap<ConstraintDefinition, ArrayList<String>>  getFailedTracesMap(){
		return failedTracesMap;
	}
	
//	public void setLog(XLog log){
//		usedLog = log;
//	}
//	
	public XLog getLog(){
		return usedLog;
	}
}
