package org.processmining.plugins.DeclareDataAwareComplianceChecker.visualization;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.plugins.DeclareDataAwareComplianceChecker.parameters.ComplianceCheckerOutput;


@Plugin(name = " Data-Aware Compliance Checking of Data Declare Models Visualization", returnLabels = { "Visualization of Compliance Checking" }, returnTypes = { JComponent.class }, parameterLabels = { "DeclareMinerFrame" }, userAccessible = true)
@Visualizer
public class DataDeclareComplianceCheckerVisualizer {
	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize(final UIPluginContext context, final ComplianceCheckerOutput model) {
//		final JComponent frame = new DataDeclareModelVisualizer().completeGui(context, model);
//		return frame;
		return new DataDeclareModelVisualizer().getJComponent(context, model);
	}
}
