package org.processmining.plugins.DeclareMapWithData.visualization;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.plugins.DeclareMapWithData.models.DataDeclareMap;



@Plugin(name = "Create/Edit DeclareMap With Data Visualization", returnLabels = { "Visualization of DeclareMap with Data" }, returnTypes = { JComponent.class }, parameterLabels = { "DeclareMinerFrame" }, userAccessible = true)
@Visualizer
public class EnrichDeclareModelVisualizer {
	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize(final UIPluginContext context, final DataDeclareMap model) {
		//DeclareModelInformationPanel frame = new DeclareModelInformationPanel(model, context.getProgress());
		System.out.println();
		final JComponent frame = new org.processmining.plugins.DeclareMapWithData.visualization.DeclareModelVisualizer().showLogVis(model);
		//final JComponent frame = new SlickerOpenDataAwareDeclareModel().showLogVis(model);
		return frame;
	}
}
